# CONTAINS

```
CONTAINS(sourceExpr,targetExpr)
```

Returns true if an expression contains the given substring.

Available in:

| Processors | SQL Studio |
| ---------- | ---------- |
| ✓          | ✓          |

*Sample code:*

```sql
USE `kafka`;
SELECT 
    CONTAINS(first_name, 'A'), 
    first_name first_name 
FROM users-topic
LIMIT 2;
```

*Output:*

```json
{
  "value": {
    "CONTAINS": false,
    "first_name": "Jose"
  }
}
{
  "value": {
    "CONTAINS": true,
    "first_name": "Amy"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenses.io/latest/user-guide/using/sql-reference/functions/string/contains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
